# std::ranges::subrange_kind

From cppreference.com
< cpp‎ | ranges

Defined in header `<ranges>` |  |
enum class subrange_kind : bool { unsized, sized }; |  | (since C++20)

Specifies if a std::ranges::subrange models std::ranges::sized_range or not.

### Constants

Name | Explanation
`unsized` | specifies that the `subrange` does not model `sized_range`
`sized` | specifies that the `subrange` does model `sized_range`

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/subrange_kind&oldid=173413"